[问题]怎么在安装qt的时候也安装opengl?

为当前最终发行版之前的所有版本提供支持
回复
tongds
帖子: 17
注册时间: 2008-01-18 15:54
送出感谢: 0
接收感谢: 0

[问题]怎么在安装qt的时候也安装opengl?

#1

帖子 tongds » 2008-02-15 21:16

我的系统是ubuntu7.1,因为要作qt开发,因此我使用apt安装了qtdesigner和qt assiant等,当然,他自动把开发库安装上了,可我在编译包含opengl库的程序时找不到头文件,请问ubuntu支持opengl马?还有怎么把qt的opengl也安装上去?(我自己编译过qt,可是ubuntu7.1编译qt源文件需要liblioo这个库,可是它有bug,所以不想从源代码编译qt来安装了)。
bushuhui
帖子: 50
注册时间: 2007-03-06 13:22
送出感谢: 0
接收感谢: 0

#2

帖子 bushuhui » 2008-02-18 21:47

好像装QT开发包的时候,OpenGL的头文件和库都已经装上去了。dpkg -L libqt4-dev 能够看到/usr/lib/libQtOpenGL.so

我是这样安装QT开发包的:

代码: 全选

sudo apt-get install libqt4-dev qt4-dev-tools qt4-doc
回复

回到 “老旧版本支持”